ch.qos.logback.classic.spi

## Class ThrowableProxyUtil

- java.lang.Object
- - ch.qos.logback.classic.spi.ThrowableProxyUtil

    public class ThrowableProxyUtil
    extends java.lang.Object

Convert a throwable into an array of ThrowableDataPoint objects.

Author:
  Ceki Gülcü

### Field Summary

Fields
`static int` `REGULAR_EXCEPTION_INDENT`
`static int` `SUPPRESSED_EXCEPTION_INDENT`

### Constructor Summary

Constructors
Constructor and Description
`ThrowableProxyUtil()`

### Method Summary

Methods
`static java.lang.String` `asString(IThrowableProxy tp)`
`static void` `build(ThrowableProxy nestedTP, java.lang.Throwable nestedThrowable, ThrowableProxy parentTP)`
`static void` `indent(java.lang.StringBuilder buf, int indent)`
`static void` `subjoinFirstLine(java.lang.StringBuilder buf, IThrowableProxy tp)`
`static void` `subjoinFirstLineRootCauseFirst(java.lang.StringBuilder buf, IThrowableProxy tp)`
`static void` `subjoinPackagingData(java.lang.StringBuilder builder, StackTraceElementProxy step)`
`static void` `subjoinSTEP(java.lang.StringBuilder sb, StackTraceElementProxy step)`
`static void` `subjoinSTEPArray(java.lang.StringBuilder sb, int indentLevel, IThrowableProxy tp)`
`static void` `subjoinSTEPArray(java.lang.StringBuilder sb, IThrowableProxy tp)` Deprecated. Use subjoinSTEPArray(StringBuilder sb, int indentLevel, IThrowableProxy tp) instead.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### REGULAR_EXCEPTION_INDENT

    public static final int REGULAR_EXCEPTION_INDENT

See Also:
  Constant Field Values

#### SUPPRESSED_EXCEPTION_INDENT

    public static final int SUPPRESSED_EXCEPTION_INDENT

See Also:
  Constant Field Values

### Constructor Detail

#### ThrowableProxyUtil

    public ThrowableProxyUtil()

### Method Detail

#### build

    public static void build(ThrowableProxy nestedTP,
             java.lang.Throwable nestedThrowable,
             ThrowableProxy parentTP)

#### asString

    public static java.lang.String asString(IThrowableProxy tp)

#### indent

    public static void indent(java.lang.StringBuilder buf,
              int indent)

#### subjoinPackagingData

    public static void subjoinPackagingData(java.lang.StringBuilder builder,
                            StackTraceElementProxy step)

#### subjoinSTEP

    public static void subjoinSTEP(java.lang.StringBuilder sb,
                   StackTraceElementProxy step)

#### subjoinSTEPArray

    public static void subjoinSTEPArray(java.lang.StringBuilder sb,
                        IThrowableProxy tp)

Deprecated. Use subjoinSTEPArray(StringBuilder sb, int indentLevel, IThrowableProxy tp) instead.

Parameters:
  `sb` - The StringBuilder the STEPs are appended to.
  `tp` - the IThrowableProxy containing the STEPs.

#### subjoinSTEPArray

    public static void subjoinSTEPArray(java.lang.StringBuilder sb,
                        int indentLevel,
                        IThrowableProxy tp)

Parameters:
  `sb` - The StringBuilder the STEPs are appended to.
  `indentLevel` - indentation level used for the STEPs, usually REGULAR_EXCEPTION_INDENT.
  `tp` - the IThrowableProxy containing the STEPs.

#### subjoinFirstLine

    public static void subjoinFirstLine(java.lang.StringBuilder buf,
                        IThrowableProxy tp)

#### subjoinFirstLineRootCauseFirst

    public static void subjoinFirstLineRootCauseFirst(java.lang.StringBuilder buf,
                                      IThrowableProxy tp)